
export class GrpcCampaignEventModel {

    guid: string;

    name: string;

    description: string;

    region: string;

    contactUrl: string;

    bannerUrl: string;

    period: number;

    publishStartDate: Date;

    publishEndDate: Date;

    isPublic: boolean;

    isActive: boolean;

    deletedStatus: number;

    campaignType: number;

    emailTemplate: string;

    campaignEventScoutAIs: string[];

    constructor() {
        this.guid = null;
        this.name = null;
        this.description = null;
        this.region = null;
        this.contactUrl = null;
        this.bannerUrl = null;
        this.period = null;
        this.publishEndDate = null;
        this.publishStartDate = null;
        this.isPublic = null;
        this.isActive = null;
        this.deletedStatus = null;
        this.campaignEventScoutAIs = new Array<string>();
        this.emailTemplate = null;
        this.campaignType = null;
    }
}