import { GrpcListRequest } from "../../interfaces/grpcListRequest";

export class GrpcScoutAIListReq {
    userGuid?: string; 
    name?: string;
    scoutType: string[];
    deletedStatus: number[] 
    isPublic: boolean; 
    isPagination: boolean; 
    listProps?: GrpcListRequest;
    skipStats?: boolean;

    constructor() {
        this.userGuid = null;
        this.name = null;
        this.scoutType = new Array<string>();
        this.deletedStatus = new Array<number>();
        this.isPublic = false;
        this.isPagination = false;
        this.listProps = null;
        this.skipStats = false
    }
} 