import { GrpcName, GrpcSectorDetail, GrpcAddress } from './grpcCommonModels'
export class GrpcCompanyPreviewModel {
    entityId: string;
    scoutMasterId: string;
    name: string;
    names: GrpcName[];
    source: string;
    sourceKey: string;
    addresses: GrpcAddress[];
    status: string;
    country: string;
    countryName: string;
    sector: string[];
    sectorDetails: GrpcSectorDetail[];
    naics: string[];
    naicsDetails: GrpcSectorDetail[];
    listingStatus: string;
    numOfEmployees: number;
    operatingRevenue: number;
    marketCapitalization: number;
    marketPrice: number;
    totalAssets: number;
    shareholdersFunds: number;
    plBeforeTax: number;

    constructor() {
        this.entityId = null;
        this.scoutMasterId = null;
        this.name = null;
        this.names = null;
        this.source = null;
        this.sourceKey = null;
        this.addresses = null;
        this.status = null;
        this.country = null;
        this.countryName = null;
        this.sector = null;
        this.sectorDetails = null;
        this.naics = null;
        this.naicsDetails = null;
        this.listingStatus = null;
        this.numOfEmployees = null;
        this.operatingRevenue = null;
        this.marketCapitalization = null;
        this.marketPrice = null;
        this.totalAssets = null;
        this.shareholdersFunds = null;
        this.plBeforeTax = null;
    }
} 