import { SubscriptionPlanModel } from "./subscriptionPlanModel";
import { SubscriptionFeatureModel } from "./subscriptionFeatureModel";

export class SubscriptionModel {
    guid: string;
    organisationGuid: string;
    subscriptionPlan: SubscriptionPlanModel;
    licenseCount: number;
    price: number;
    startDate: Date;
    endDate: Date;
    deletedStatus: number;
    subscriptionFeatures: Array<SubscriptionFeatureModel>;
    constructor() {
        this.guid = null;
        this.organisationGuid = null;
        this.subscriptionPlan = new SubscriptionPlanModel();
        this.licenseCount = null;
        this.price = null;
        this.startDate = null;
        this.endDate = null;
        this.deletedStatus = null;
        this.subscriptionFeatures = new Array<SubscriptionFeatureModel>();
    }
}