import { GrpcAppUserRoleModel } from './grpcAppUserRoleModel';

export class GrpcAppUserModel {

    guid: string;

    userName: string;

    firstName: string;

    lastName: string;

    email: string;

    contactNumber?: string;

    isPublicUser: boolean;

    isActive: boolean;

    appUserRoles: GrpcAppUserRoleModel[];

    appUserOrganisations: string[];

    deletedStatus: number;

    constructor() {
        this.guid = null;
        this.userName = null;
        this.firstName = null;
        this.lastName = null;
        this.email = null;
        this.contactNumber = null;
        this.isPublicUser = null;
        this.isActive = null;
        this.appUserRoles = new Array<GrpcAppUserRoleModel>();
        this.appUserOrganisations = new Array<string>();
        this.deletedStatus = null;
    }
}