export const grpcConst = {
    protoPath: "/../grpcProtos/",
    proto: {
        subscription: "subscription.proto",
        rbac: "rbac.proto",
        user: "user.proto",
        organisation: "organisation.proto",
        campaign: "campaign.proto",
        scoutai: "scoutai.proto",
        emailtemplate: "emailtemplate.proto",
        search:"search.proto"
    },
    service: {
        user: "user",
        rbac: "rbac",
        subscription: "subscription",
        organisation: "organisation",
        campaign: "campaign",
        scoutai: "scoutai",
        emailtemplate: "emailtemplate",
        search:"search"
    },
    hostName: {
        rbac: "GRPC-CLIENT-skyeye-svc-rbac",
        subscription: "GRPC-CLIENT-skyeye-svc-subscription",
        user: "GRPC-CLIENT-skyeye-svc-user",
        organisation: "GRPC-CLIENT-skyeye-svc-organisation",
        campaign: "GRPC-CLIENT-skyeye-svc-campaign",
        scoutai: "GRPC-CLIENT-skyeye-svc-scoutai",
        emailtemplate: "GRPC-CLIENT-skyeye-svc-emailtemplate",
        search: "GRPC-CLIENT-skyeye-svc-search"
    },
    deadline: {
        short: "GRPC-DEADLINE-short",
        mid: "GRPC-DEADLINE-mid",
        long: "GRPC-DEADLINE-long"
    },
    defaultGRPCAddress: "127.0.0.1:3333"
}