import {GrpcNumberAggregation, GrpcAggregation} from './grpcAggregation';
export class GrpcCompanyAggregation {
    country: GrpcAggregation[];
    icbSector: GrpcAggregation[];
    listingStatus: GrpcAggregation[];
    naicsSector: GrpcAggregation[];
    marketCapitalization: GrpcNumberAggregation;
    numOfEmployees: GrpcNumberAggregation;
    operatingRevenue: GrpcNumberAggregation;
    totalAssets: GrpcNumberAggregation;
    shareholdersFunds: GrpcNumberAggregation;
    plBeforeTax: GrpcNumberAggregation;

    constructor() {
        this.marketCapitalization = new GrpcNumberAggregation();
        this.numOfEmployees = new GrpcNumberAggregation();
        this.operatingRevenue = new GrpcNumberAggregation();
        this.totalAssets = new GrpcNumberAggregation();
        this.shareholdersFunds = new GrpcNumberAggregation();
        this.plBeforeTax = new GrpcNumberAggregation();
    }
}