export class GrpcCompanyListReq {
    skip: number;
    select: number;
    order: string;
    orderBy: string;
    searchStr: string;
    sectors: string[];
    countries: string[];
    naics: string[]; //level 5
    guids: string[];
    listingStatus: string;
    numOfEmployeesFrom: number;
    numOfEmployeesTo: number;
    operatingRevenueFrom: number;
    operatingRevenueTo: number;
    marketCapitalizationFrom: number;
    marketCapitalizationTo: number;
    totalAssetsFrom: number;
    totalAssetsTo: number;
    shareholdersFundsFrom: number;
    shareholdersFundsTo: number;
    pLBeforeTaxFrom: number;
    pLBeforeTaxTo: number;
    isPrimary: boolean;

    constructor() {
        this.skip = null;
        this.select = null;
        this.order = null;
        this.orderBy = null;
        this.searchStr = null;
        this.sectors = null;
        this.countries = null;
        this.naics = null;
        this.guids = null;
        this.listingStatus = null;
        this.numOfEmployeesFrom = null;
        this.numOfEmployeesTo = null;
        this.operatingRevenueFrom = null;
        this.operatingRevenueTo = null;
        this.marketCapitalizationFrom = null;
        this.marketCapitalizationTo = null;
        this.totalAssetsFrom = null;
        this.totalAssetsTo = null;
        this.shareholdersFundsFrom = null;
        this.shareholdersFundsTo = null;
        this.pLBeforeTaxFrom = null;
        this.pLBeforeTaxTo = null;
        this.isPrimary = null;
    }
}