export class GrpcContentListReq {
    skip: number;
    select: number;
    start: string;
    end: string;
    searchStr: string;
    publishers: string[];
    sectors: string[];
    scoutAIs: string[];
    mentionedLocations: string[];
    mentionedCompanies: string[];
    excludeContents: string[];

    lastModifiedDateStart: string;
    lastModifiedDateEnd: string;
    constructor(params: any) {
        this.skip = params.skip || 0;
        this.select = params.select || 20;
        this.start = params.start || "";
        this.end = params.end || "";
        this.searchStr = params.searchStr || "*";
        this.sectors = params.sectors || [];
        this.publishers = params.publishers || [];
        this.scoutAIs = params.scoutAIs || [];
        this.mentionedLocations = params.mentionedLocations || [];
        this.mentionedCompanies = params.mentionedCompanies || [];
        this.excludeContents = params.excludeContents || [];
        this.lastModifiedDateStart = params.lastModifiedDateStart || "";
        this.lastModifiedDateEnd = params.lastModifiedDateEnd || "";
    }
} 