import { SubscriptionPlanFeatureModel } from "./subscriptionPlanFeatureModel";

export class SubscriptionPlanModel {
    guid: string;
    name: string;
    subscriptionType: string;
    description: string;
    licenseCount: number;
    price: number;
    dateTypeValue: string;
    dateTypeNumber: number;
    deletedStatus: number;
    subscriptionPlanPermissions: string[];
    subscriptionPlanFeatures: Array<SubscriptionPlanFeatureModel>;
    constructor() {
        this.guid = null;
        this.name = null;
        this.subscriptionType = null;
        this.description = null;
        this.licenseCount = null;
        this.price = null;
        this.dateTypeValue = null;
        this.dateTypeNumber = null;
        this.deletedStatus = null;
        this.subscriptionPlanPermissions = new Array<string>();
        this.subscriptionPlanFeatures = new Array<SubscriptionPlanFeatureModel>();
    }
}